Bulletin d'alerte Debian

DSA-1266-1 gnupg -- Plusieurs vulnérabilités

Date du rapport :
13 mars 2007
Paquets concernés :
gnupg
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le système de suivi des bogues Debian : Bogue 413922, Bogue 414170.
Dans le dictionnaire CVE du Mitre : CVE-2007-1263.
Plus de précisions :

Gerardo Richarte a découvert que GnuPG, un remplaçant libre de PGP, ne fournissait pas suffisamment de retour d'information si un message OpenPGP contenait à la fois des parties signées et non signées. L'insertion de segments de texte dans un message signé par ailleurs pouvait être exploitée pour falsifier le contenu des messages signés. Cette mise à jour évite de telles attaques ; l'ancien comportement peut toujours être activé en fournissant l'option --allow-multiple-messages.

Pour la distribution stable (Sarge), ces problèmes ont été corrigés dans la version 1.4.1-1.sarge7.

Pour la prochaine distribution stable (Etch), ces problèmes ont été corrigés dans la version 1.4.6-2.

Pour la distribution instable (Sid), ces problèmes ont été corrigés dans la version 1.4.6-2.

Nous vous recommandons de mettre à jour vos paquets gnupg.

Corrigé dans :

Debian GNU/Linux 3.1 (sarge)

Source :
http://security.debian.org/pool/updates/main/g/gnupg/gnupg_1.4.1-1.sarge7.dsc
http://security.debian.org/pool/updates/main/g/gnupg/gnupg_1.4.1-1.sarge7.diff.gz
http://security.debian.org/pool/updates/main/g/gnupg/gnupg_1.4.1.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/g/gnupg/gnupg_1.4.1-1.sarge7_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/g/gnupg/gnupg_1.4.1-1.sarge7_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/g/gnupg/gnupg_1.4.1-1.sarge7_arm.deb
HPPA:
http://security.debian.org/pool/updates/main/g/gnupg/gnupg_1.4.1-1.sarge7_hppa.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/g/gnupg/gnupg_1.4.1-1.sarge7_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/g/gnupg/gnupg_1.4.1-1.sarge7_ia64.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/g/gnupg/gnupg_1.4.1-1.sarge7_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/g/gnupg/gnupg_1.4.1-1.sarge7_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/g/gnupg/gnupg_1.4.1-1.sarge7_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/g/gnupg/gnupg_1.4.1-1.sarge7_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/g/gnupg/gnupg_1.4.1-1.sarge7_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/g/gnupg/gnupg_1.4.1-1.sarge7_sparc.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.